Extending Qt Creator Manual | CppModelManagerBase

Extending Qt Creator Manual 4.5.2

# CppModelManagerBase Class

(CPlusPlus::CppModelManagerBase)

- List of all members, including inherited members

## Public Functions

| CppModelManagerBase(QObject *parent = 0)
| ~CppModelManagerBase()
virtual bool | setExtraDiagnostics(const QString &fileName, const QString &kind, const QList<Document::DiagnosticMessage> &diagnostics)
virtual CPlusPlus::Snapshot | snapshot() const

## Static Public Members

CppModelManagerBase * | instance()
bool | trySetExtraDiagnostics(const QString &fileName, const QString &kind, const QList<Document::DiagnosticMessage> &diagnostics)

## Member Function Documentation

### CppModelManagerBase::CppModelManagerBase(QObject *parent = 0)

Default constructs an instance of CppModelManagerBase.

### CppModelManagerBase::~CppModelManagerBase()

Destroys the instance of CppModelManagerBase.

### `[static]` CppModelManagerBase *CppModelManagerBase::instance()

### `[virtual]` bool CppModelManagerBase::setExtraDiagnostics(const QString &fileName, const QString &kind, const QList<Document::DiagnosticMessage> &diagnostics)

### `[virtual]` CPlusPlus::Snapshot CppModelManagerBase::snapshot() const

### `[static]` bool CppModelManagerBase::trySetExtraDiagnostics(const QString &fileName, const QString &kind, const QList<Document::DiagnosticMessage> &diagnostics)